"""
This type stub file was generated by pyright.
"""

"""

This module adds the following fields to the periodic table

*   covalent_radius
*   covalent_radius_uncertainty
*   covalent_radius_units = 'angstrom'

Use :func:`init` to initialize a private table.

Data is taken from Cordero et al., 2008 [#Cordero2008]_.  Bond specific values
(single, double, or triple) are available from Pyykkö et al., 2009 [#Pyykko2009]_,
but they are generally smaller.  The CRC Handbook uses the average of Cordero
and Pyykkö. Note that the combined Cordero/Pyykkö tables are included
herein as *periodictable.covalent_radius.CorderoPyykko*, but are not yet parsed.

The abstract of Cordero reads as follows:

    A new set of covalent atomic radii has been deduced from
    crystallographic data for most of the elements with atomic
    numbers up to 96.  The proposed radii show a well behaved
    periodic dependence that allows us to interpolate a few
    radii for elements for which structural data is lacking,
    notably the noble gases. The proposed set of radii therefore
    fills most of the gaps and solves some inconsistencies in
    currently used covalent radii.  The transition metal and
    lanthanide contractions as well as the differences in covalent
    atomic radii between low spin and high spin configurations in
    transition metals are illustrated by the proposed radii set.

.. Note::

        #. Values are averages only.  The particular radius can be highly
           dependent on oxidation state and chemical compound.

        #. The paper lists values for multiple spin states on select
           elements.  We are using sp3 for carbon and low spin for manganese,
           iron and cobalt.

        #. Elements with zero or one measurements of covalent radius are
           assigned an uncertainty of 0.00.  These are He, Ne, Pm, At, Rn,
           Fr, Ac, Pa.

        #. Elements above 96 are assigned a covalent radius and uncertainty
           of None.

        #. Radii are measured from bonds to C, N or O.  The choice of which
           compound was used is element dependent.  Details are available in
           the references.

.. [#Cordero2008] Beatriz Cordero, Verónica Gómez, Ana E. Platero-Prats,
       Marc Revés, Jorge Echeverría, Eduard Cremades, Flavia Barragán and
       Santiago Alvarez. Covalent radii revisited. Dalton Trans., 2008, 2832-2838.
       `doi:10.1039/b801115j <http://dx.doi.org/10.1039/b801115j>`_

.. [#Pyykko2009] P. Pyykkö and M. Atsumi.
      Molecular Double-Bond Covalent Radii for Elements Li-E112.
      Chemistry, A European Journal, 15, 2009, 12770-12779.
      `doi:10.1002/chem.200901472 <http://dx.doi.org/10.1002/chem.200901472>`_

"""
from __future__ import annotations

def init(table, reload=...):  # -> None:
    """
    Add the covalent radius property to a private table.
    Use *reload = True* to replace the covalent radius property on an
    existing table.
    """

Cordero = ...
CorderoPyykko = ...
