"""
This type stub file was generated by pyright.
"""

"""
Compute neutron scattering XS for rare earth isotopes.

Lynn, J.E., Seeger, P.A., 1990.
*Resonance effects in neutron scattering lengths of rare-earth nuclides.*
Atomic Data and Nuclear Data Tables 44, 191–207.
https://doi.org/10.1016/0092-640X(90)90013-A
"""
from __future__ import annotations

class RareEarthIsotope:
    def __init__(
        self,
        isotope,
        E0,
        E_lambda,
        gamma_lambda_sq,
        Gamma_lambda,
        A=...,
        B=...,
        C=...,
        Delta_E=...,
        a=...,
    ) -> None:
        r"""
        *isotope* is the isotope of interest (e.g., Sm[149])

        *E0* is the chosen pivot energy of the fit $E_0$ (eV)

        *E_lambda* is the formal compound nucleus energy level $E_\lambda$ (eV).

        *gamma_lambda_sq* is the reduced neutron width amplitude
        $\gamma_{\lambda(n)}$ (eV).

        *a* is the atomic radius, estimated as $1.16 A^{1/3} + 0.6$ fm if
        not provided, where $A$ is the atomic mass of the isotope.

        *Gamma_lambda* is the absorption width $\Gamma_{\lambda(a)}$ (eV).

        *Delta_E* is the level shift $\Delta_E$ (eV) that can "usually be
        neglected at the very low neutron energies considered in this paper".

        *A*, *B*, *C* are the fitted real + imaginary constants for the isotope,
        with units 1/eV for B and 1/eV^2 for C.
        """
    def f(self, E): ...

Sm_nat = ...
Gd_155 = ...
Gd_157 = ...
Dy_164 = ...

def demo(): ...

if __name__ == "__main__": ...
